%define snapshot svn241
Name:           muttprint
Summary:        Pretty printing of mails with Mutt
Version:        0.73
Release:        18.%{snapshot}%{?dist}
License:        GPLv2+
Group:          Applications/Internet
Source:         %{name}-%{version}.%{snapshot}.tar.gz
Patch0:         muttprint-0.73-manual.patch
Patch1:         muttprint-0.73-pod-encoding.patch
Patch2:         muttprint-0.73-fix-for-gcc15-build.patch
URL:            http://muttprint.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  automake autoconf intltool libtool openjade
BuildRequires:  docbook-utils-pdf tex(tex) texlive-ec
%if 0%{?fedora} > 18
BuildRequires:  perl-podlators
%endif
Requires:       psutils perl >= 5.8
Requires:       perl-Text-Iconv perl-TimeDate
Requires:       tex(latex) tex(lastpage.sty)
BuildArch:      noarch

%description
Muttprint is a utility that formats the printing of Mutt and other mail
clients like XFMail or PINE to be like the printing of Netscape
Messenger or Kmail. It can print a little penguin on the first page and
a headline on every page.  Furthermore, it only prints the most
important headers, but not the whole plethora of them

%prep
%setup -q -n %{name}
%patch -P0 -p1 -b .manual
%if 0%{?fedora} >= 20
%patch -P1 -p1 -b .encoding
%endif
%patch -P2 -p0 -b .gcc15

for file in README.translations README.es README.Latex README.Gnus CHANGES
do
        iconv -f latin1 -t UTF-8 < $file > $file.utf8
        touch -c -r $file $file.utf8
        mv $file.utf8 $file
done

%build
autoreconf -i
%configure

make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT \
        docdir=%{_datadir}/%{name}/doc

rm $RPM_BUILD_ROOT/%{_prefix}/bin/muttprint-langinfo

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc CHANGES COPYING README*
%{_bindir}/*
%{_datadir}/muttprint
%{_mandir}/man1/*
%{_mandir}/*/man1/*

%changelog
* Sat Jan 18 2025 Fabrice Bellet <fabrice@bellet.info> - 0.73-18.svn241
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild
- Fix for gcc15 build

* Tue Sep 03 2024 Fabrice Bellet <fabrice@bellet.info> - 0.73-17.svn241
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fabrice Bellet <fabrice@bellet.info> - 0.73-16.svn241
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fabrice Bellet <fabrice@bellet.info> - 0.73-15.svn241
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jul 23 2023 Fabrice Bellet <fabrice@bellet.info> - 0.73-14.svn241
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fabrice Bellet <fabrice@bellet.info> - 0.73-13.svn241
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jul 26 2022 Fabrice Bellet <fabrice@bellet.info> - 0.73-12.svn241
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 29 2022 Fabrice Bellet <fabrice@bellet.info> - 0.73-11.svn241
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fabrice Bellet <fabrice@bellet.info> - 0.73-10.svn241
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fabrice Bellet <fabrice@bellet.info> - 0.73-9.svn241
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 04 2021 Fabrice Bellet <fabrice@bellet.info> - 0.73-8.svn241
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 26 2017 Fabrice Bellet <fabrice@bellet.info> - 0.73-7.svn241
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 21 2015 Fabrice Bellet <fabrice@bellet.info> - 0.73-6.svn241
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Sep 10 2013 Fabrice Bellet <fabrice@bellet.info> - 0.73-5.svn241
- New snapshot
- Fix pod files encoding

* Tue Sep 10 2013 Fabrice Bellet <fabrice@bellet.info> - 0.73-4.svn239
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 17 2013 Fabrice Bellet <fabrice@bellet.info> - 0.73-3.svn239
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Feb 16 2013 Fabrice Bellet <fabrice@bellet.info> - 0.73-2.svn239
- Update latex requirements

* Sun Feb 28 2010 Fabrice Bellet <fabrice@bellet.info> 0.73-1.svn239
- New upstream release

* Sun Mar 29 2009 Fabrice Bellet <fabrice@bellet.info> 0.73-0.2.svn234
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Fabrice Bellet <fabrice@bellet.info> 0.73-0.1.svn234
- Initial package for Fedora

* Fri Mar 04 2005 Lukas Ruf <lukas.ruf@lpr.ch>
- Set current Maintainer with bug reports 

* Mon Apr 05 2004 Bernhard Walle <bernhard.walle@gmx.de>
- Removed muttprint-langinfo, use i18n module

* Mon Jul 28 2003 Bernhard Walle <Bernhard.Walle@gmx.de>
- added rule to build muttprint-langinfo

* Mon Apr 14 2003 Bernhard Walle <Bernhard.walle@gmx.de>
- changed translation place to /prefix/share/muttprint/translations

* Mon Apr 07 2003 Bernhard Walle <Bernhard.walle@gmx.de>
- changed translation place to /prefix/lib/muttprint/translations

* Thu Feb 20 2003 Bernhard Walle <Bernhard.Walle@gmx.de>
- changed translation place to /prefix/share/muttprint/translations

* Sat Dec 15 2001 Bernhard Walle <Bernhard.Walle@gmx.de>
- new version

* Fri Oct 05 2001 Bernhard Walle <Bernhard.Walle@gmx.de>
- new version
- new URL: http://muttprint.sourceforge.net
- new directory: /prefix/lib/muttprint for translation file
  (in earlier versions the translation were included in the
  muttprint-executable)

* Sun Aug 05 2001 Bernhard Walle <Bernhard.Walle@gmx.de>
- new version
- changed specfile because of writing a Makefile
- new Spanish description
- new Italian description

* Sat Jul 07 2001 Bernhard Walle <Bernhard.Walle@gmx.de>
- new version

* Sun Jul 01 2001 Bernhard Walle <Bernhard.Walle@gmx.de>
- new version => changed dependencies

* Fri Jun 22 2001 Bernhard Walle <Bernhard.Walle@gmx.de>
- new version

* Sat May 12 2001 Bernhard Walle <Bernhard.Walle@gmx.de>
- first release with changelog
